Public Class Offense

    Public Sub New()
        _offenseDetails = New BindingList(Of OffenseDetail)
    End Sub

    Private _docketNumber As String
    Public Property DocketNumber() As String
        Get
            Return _docketNumber
        End Get
        Set(ByVal value As String)
            _docketNumber = value
        End Set
    End Property

    Private _arrestDate As Nullable(Of DateTime)
    Public Property ArrestDate() As Nullable(Of DateTime)
        Get
            Return _arrestDate
        End Get
        Set(ByVal value As Nullable(Of DateTime))
            _arrestDate = value
        End Set
    End Property

    Private _offenseDetails As BindingList(Of OffenseDetail)
    Public Property OffenseDetails() As BindingList(Of OffenseDetail)
        Get
            Return _offenseDetails
        End Get
        Set(ByVal value As BindingList(Of OffenseDetail))
            _offenseDetails = value
        End Set
    End Property

    Public Sub AddDetail(ByVal detail As OffenseDetail)
        Try
            _offenseDetails.Add(detail)
        Catch ex As Exception
            Throw
        End Try
    End Sub
End Class

Public Class OffenseDetail
    Private _offenseAsCharged As String
    Public Property OffenseAsCharged() As String
        Get
            Return _offenseAsCharged
        End Get
        Set(ByVal value As String)
            _offenseAsCharged = value
        End Set
    End Property

    Private _offenseAsConvicted As String
    Public Property OffenseAsConvicted() As String
        Get
            Return _offenseAsConvicted
        End Get
        Set(ByVal value As String)
            _offenseAsConvicted = value
        End Set
    End Property

    Private _statutesAndPenalties As String
    Public Property StatutesAndPenalties() As String
        Get
            Return _statutesAndPenalties
        End Get
        Set(ByVal value As String)
            _statutesAndPenalties = value
        End Set
    End Property

End Class

Public Class OffensesCollection
    Inherits BindingList(Of Offense)

    Public Function GetOffensesCollection() As OffensesCollection
        Return Me
    End Function
End Class

